[xorg-doc - Cygwin XOrg documentation] branch master, updated. 8a41b1d3e635ed7e473c00574b96dbc8812552f1

jturney@sourceware.org jturney@sourceware.org
Sun Mar 20 20:31:00 GMT 2016




https://sourceware.org/git/gitweb.cgi?p=cygwin-apps/xorg-doc.git;h=8a41b1d3e635ed7e473c00574b96dbc8812552f1

commit 8a41b1d3e635ed7e473c00574b96dbc8812552f1
Author: Jon Turney <jon.turney@dronecode.org.uk>
Date:   Sun Mar 20 20:21:56 2016 +0000

    Remove extraneous per-directory .cvsignore

https://sourceware.org/git/gitweb.cgi?p=cygwin-apps/xorg-doc.git;h=fe0dfdc01850c4f755b99e910bf8b92fb2af9d49

commit fe0dfdc01850c4f755b99e910bf8b92fb2af9d49
Author: Jon Turney <jon.turney@dronecode.org.uk>
Date:   Sun Mar 20 01:00:43 2016 +0000

    Add scripts for packaging and deployment


Diff:
---
 cg/.cvsignore                |    2 -
 common/.cvsignore            |    2 -
 cygport/cygwin-x-doc.cygport |   14 +++++++++++
 faq/.cvsignore               |    2 -
 package-and-update           |   52 ++++++++++++++++++++++++++++++++++++++++++
 stylesheets/.cvsignore       |    2 -
 ug/.cvsignore                |    2 -
 ug/figures/.cvsignore        |    2 -
 8 files changed, 66 insertions(+), 12 deletions(-)

diff --git a/cg/.cvsignore b/cg/.cvsignore
deleted file mode 100644
index 282522d..0000000
--- a/cg/.cvsignore
+++ /dev/null
@@ -1,2 +0,0 @@
-Makefile
-Makefile.in
diff --git a/common/.cvsignore b/common/.cvsignore
deleted file mode 100644
index 282522d..0000000
--- a/common/.cvsignore
+++ /dev/null
@@ -1,2 +0,0 @@
-Makefile
-Makefile.in
diff --git a/cygport/cygwin-x-doc.cygport b/cygport/cygwin-x-doc.cygport
new file mode 100644
index 0000000..00b3340
--- /dev/null
+++ b/cygport/cygwin-x-doc.cygport
@@ -0,0 +1,14 @@
+inherit autotools
+
+NAME=cygwin-x-doc
+VERSION=`cat version`
+RELEASE=1
+
+CATEGORY="X11 Doc"
+SUMMARY="Cygwin/X-specific documentation"
+DESCRIPTION="Cygwin/X-specific documentation, including FAQ, User's Guide,
+and Contributor's Guide in HTML, PS.GZ, PDF, TXT, and RTF formats."
+
+SRC_URI="${P}.tar.bz2"
+CYGCONF_ARGS="--enable-hardcopy"
+ARCH="noarch"
diff --git a/faq/.cvsignore b/faq/.cvsignore
deleted file mode 100644
index 282522d..0000000
--- a/faq/.cvsignore
+++ /dev/null
@@ -1,2 +0,0 @@
-Makefile
-Makefile.in
diff --git a/package-and-update b/package-and-update
new file mode 100755
index 0000000..2c1edf9
--- /dev/null
+++ b/package-and-update
@@ -0,0 +1,52 @@
+#!/bin/sh -x
+
+# directory in a checkout of the website repo we will install built documentation into
+DOCDIR=$(realpath ../cygwin-htdocs/xfree/docs)
+
+# check for uncommitted changes, stop if there are any
+git diff --quiet 2>/dev/null || exit
+(cd ${DOCDIR} ; git diff --quiet 2>/dev/null) || exit
+
+# update version number
+DATE=`date -u +%Y%m%d`
+echo "1.1.$DATE" >version
+
+# regenerate ./configure
+autoreconf -v --install --force || exit 1
+
+# check in version
+git add version
+git commit -m "Bump version to 1.1.$DATE"
+git tag -f VERSION_1_1_$DATE
+
+# clean and create build directory
+rm -rf build
+mkdir build
+cd build
+
+# make dist tarball
+../configure --enable-hardcopy --with-docdir=${DOCDIR}
+make distcheck || exit
+
+# copy dist tarball to cygport directory
+cp *.tar.bz2 ../cygport/
+cd ..
+
+# build cygport package using that tarball
+cp version cygport/
+cd cygport
+cygport cygwin-x-doc.cygport finish || exit
+cygport cygwin-x-doc.cygport all || exit
+cd -
+
+# build and install into DOCDIR
+cd build
+make
+make install
+cd -
+
+# update website
+# XXX: removed files need handling manually
+cd ${DOCDIR}
+git add --all
+git commit -m "Rebuild X documentation"
diff --git a/stylesheets/.cvsignore b/stylesheets/.cvsignore
deleted file mode 100644
index 282522d..0000000
--- a/stylesheets/.cvsignore
+++ /dev/null
@@ -1,2 +0,0 @@
-Makefile
-Makefile.in
diff --git a/ug/.cvsignore b/ug/.cvsignore
deleted file mode 100644
index 282522d..0000000
--- a/ug/.cvsignore
+++ /dev/null
@@ -1,2 +0,0 @@
-Makefile
-Makefile.in
diff --git a/ug/figures/.cvsignore b/ug/figures/.cvsignore
deleted file mode 100644
index 282522d..0000000
--- a/ug/figures/.cvsignore
+++ /dev/null
@@ -1,2 +0,0 @@
-Makefile
-Makefile.in



More information about the Cygwin-apps-cvs mailing list